Bug 77685 - i18n: some strings ain't translated
Summary: i18n: some strings ain't translated
Status: RESOLVED WORKSFORME
Alias: None
Product: amarok
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-03-15 17:26 UTC by Nick Shaforostoff
Modified: 2006-06-11 12:32 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
manually generated amarok.pot (42.34 KB, application/x-gettext)
2004-05-10 10:07 UTC, Nick Shaforostoff
Details
russian translatation - amarok.po (54.54 KB, application/x-gettext)
2004-05-10 10:09 UTC, Nick Shaforostoff
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Shaforostoff 2004-03-15 17:26:14 UTC
Version:            (using KDE KDE 3.2.1)

i'm a russian amarok translator and i can't find some strings in .po
(.po is from http://i18n.kde.org/stats/gui/HEAD/ru/kdeextragear-1/index.php)
For example "&Add item...", "Play&lists Actions".
I think its because .po files didn't get updated or author forgets to use i18n() in program code

And please, include .po files in amarok*.tar.bz2 realises
Comment 1 Max Howell 2004-03-15 17:48:24 UTC
Those strings you mention are translatable in cvs currently AFAICT.

I'm afraid we are not very knowledgable about the translation procedures. For future reference, how can we easily find out which strings are not translatable? How can I tell which strings need to be made i18n() so I can close this bug? Cheers!

With respect to releasing the *.po files, we didn't for the betas as they were betas, but we should have for 0.9.0. If we didn't then apologies, we will ensure we do next time..
Comment 2 Nick Shaforostoff 2004-03-15 21:00:17 UTC
Look at
http://webcvs.kde.org/cgi-bin/cvsweb.cgi/kde-i18n/templates/kdeextragear-1/
The .pot file (messages template) has never been updated.
I thought that its generated automaticaly...

I hope we resolve this problem till 1.0, cuse I really love your player
Comment 3 Max Howell 2004-03-15 23:26:19 UTC
As said, we don't know what to do. Can you help? Any ideas? Until someone can tell us what to do we can't get the strings updated.

I also thought this was done automatically.
Comment 4 Nick Shaforostoff 2004-03-16 14:42:05 UTC
i found some nice howto:
http://developer.kde.org/documentation/library/kdeqt/kde3arch/kde-i18n-howto.html
Comment 5 Max Howell 2004-03-16 15:33:44 UTC
I've read that before. It's no use to our problems here AFAICT.
Comment 6 Nick Shaforostoff 2004-03-16 16:07:46 UTC
i tried execute
make -f admin/Makefile.common package-messages
but it finishes immediately, w/o saying anything and w/o creating 'po' 
directory
I suppose you missed smth
Maybe you should ask Stephan Kulow for this?

Comment 7 Nick Shaforostoff 2004-04-12 11:52:20 UTC
dont forget to include translations in 1.0
(though they are outdated - http://webcvs.kde.org/cgi-bin/cvsweb.cgi/kde-i18n/templates/kdeextragear-1/ : amarok.pot has version 1.1)
Comment 8 Nick Shaforostoff 2004-04-25 14:10:08 UTC
ok, i use this script:


extractrc `find ./ -type f -name '*.ui'; find ./ -type f -name '*.rc'; find ./ -type f -name '*.kcfg'` > _other-messages.cpp

echo -e 'i18n("_: NAME OF TRANSLATORS\\n"\n"Your names")\ni18n("_: EMAIL OF TRANSLATORS\\n"\n"Your emails")' > _translatorinfo.cpp

find ./ -type f -name '*.cpp' > cppfiles.list

xgettext -f cppfiles.list -C -ki18n -ktr2i18n -kI18N_NOOP -kaliasLocale -x kde.pot -o amarok.pot


in amarok src root dir
i took it from cvs.sh, and its really strange that .pot file updation isnt done automatically

so, the problem with russian amarok l10n is resolved, but i don't sure for others...
Comment 9 Nick Shaforostoff 2004-04-25 14:21:56 UTC
So, it seems, that the only resolution is to update .pot file manually (and i can do this but i have no cvs access)
Comment 10 Nick Shaforostoff 2004-05-10 10:07:57 UTC
Created attachment 5930 [details]
manually generated amarok.pot

please, upload it to kde-i18n/templates/kdeextragear-1/ cvs module
Comment 11 Nick Shaforostoff 2004-05-10 10:09:04 UTC
Created attachment 5931 [details]
russian translatation - amarok.po

please, upload it to kde-i18n/ru/messages/kdeextragear-1/ cvs module
Comment 12 Nick Shaforostoff 2004-05-10 10:33:26 UTC
Comment on attachment 5930 [details]
manually generated amarok.pot

please, upload it to
kde-i18n/templates/kdeextragear-1/ cvs module
Comment 13 Nick Shaforostoff 2004-05-17 15:23:10 UTC
resolved